__author__ = 'Udayakumar Rajan'
from encrova_sdk.services.config_service import ConfigService
from encrova_sdk.factory.encryption_factory import EncryptionFactory

class EncrovaSDKClient:
    """Client for the Encrova SDK that handles encryption operations."""
    
    def __init__(self, host: str, encryption_type: str) -> None:
        """
        Initialize the Encrova SDK client.
        
        Args:
            host: The URL of the secret manager
            encryption_type: The type of encryption to be used
        """
        self.config_service = ConfigService()
        self.config_service.register_secret_manager_url(url=host)
        self.service = EncryptionFactory.get_encryption_service(encryption_type)
