__author__ = 'Udayakumar Rajan'

from typing import Dict

from encrova_sdk.interface.EncryptionBase import EncryptionBase
from encrova_sdk.utils.logger import get_logger

logger = get_logger(name="AsymmetricEncryption")

class AsymmetricEncryption(EncryptionBase):
    """Dummy implementation for asymmetric encryption and decryption."""

    async def encrypt_with_rsa(self, payload: Dict, api_key: str, private_key:str) -> str:
        logger.warning("Asymmetric encryption not implemented.")
        return "dummy_asymmetric_encrypted_data"

    async def decrypt_with_rsa(self, encrypted_payload: str, api_key: str, public_cert:str = None) -> str:
        logger.warning("Asymmetric decryption not implemented.")
        return "dummy_asymmetric_decrypted_data"

